Я хочу загрузить все (рекурсивные) зависимости сборки, чтобы иметь возможность собрать пакет apt (debian) из исходного кода. Однако, когда я apt-get install path/*.debs с дебами, которые я получил apt build-dep --download-only --assume-yes <package>, apt находит дополнительные пакеты для установки ....
Сегодня я, наконец, догадался, почему, когда я пытался установить набор пакетов Debian, загруженных с зависимостями, например. apt-get install --download-only --assume-yes libssl-dev даже с пустым файлом состояния dpkg (много файлов deb), тем не менее при установке я один раз (и сегодня снова) не с....
unix 4 Янв 2022 в 16:54
Растяжка Debian; 1.4.11 $ apt-cache rdepends --installed libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-bad1.0-0 Reverse Depends: libwebkit2gtk-4.0-37 libwebkit2gtk-4.0-37 Есть идеи, почему пакет libwebkit2gtk-4.0-37 появляется здесь дважды? Я получаю аналогичные результаты от Aptitude: ....
unix 30 Дек 2021 в 08:51
https://askubuntu.com/questions/128524/how-to-list- dependency-packages-reverse-dependencies советует apt-cache rdepends, но не объясняет, как интерпретировать вывод. Вывод состоит из строк без отступов и двух пробелов один. Но зависимости образуют древовидную структуру, есть ли способ увидеть ре....
unix 28 Дек 2021 в 10:55
Я пытался установить определенное программное обеспечение в свой Kali Linux и использовал в процессе команду aptitude. Однако во время его использования мне было предложено то, что единственное, что я помню о нем, это действие на 17 ГБ. Я не был сосредоточен, поэтому продолжал отвечать «да», пока н....
unix 4 Дек 2021 в 17:52
При попытке просмотреть журналы изменений пакетов apt aptitude часто выдает ошибку Cannot display changelog: Origin of <package> is unknown (maybe not an official Debian package ...). Слово «Debian» здесь немного вводит в заблуждение, потому что до сих пор мне кажется, что «журналы изменений» могут....
unix 10 Окт 2021 в 02:35
Хорошо, я понимаю, как я могу использовать apt-get {install|remove} mypackages и apt-get upgrade для установки, обновления или удаления двоичных файлов, а также их файлов данных конфигурации и зависимостей (на самом деле, remove удалит только двоичные файлы, если предусмотрены дополнительные флаги)....
Чтобы было ясно, это вопрос о том, почему разработчики apt решили настроить его таким образом. Я не спрашиваю, как изменить настройки моего прокси, а скорее, почему стандартные настройки по умолчанию заставляют меня настраивать это, когда это можно легко настроить автоматически. apt даже имеет наст....
У меня есть Dockerfile, встроенный в конвейер CI/CD. Он начинается с образа Drupal, основанного на растяжке Debian 9, и устанавливает Node 10. Создание образа работало последние три года, но только вчера оно перестало работать. Чтобы воспроизвести проблему, я могу запустить контейнер без каких-либо....
У меня возникла проблема с моими пакетами apt, которую я решил. Проблема и решение обсуждаются здесь: Aptitude говорит, что многим моим пакетам нужно удалить...? Однако, обсуждая это, я понял, что у меня есть дополнительный вопрос о apt, на который я хотел бы найти ответ, поэтому я публикую этот ....
unix 7 Апр 2021 в 19:10
Я использую следующий дистрибутив Linux ... DISTRIB_ID=Ubuntu DISTRIB_RELEASE=20.04 DISTRIB_CODENAME=focal DISTRIB_DESCRIPTION="Ubuntu 20.04.2 LTS" Я зашел в aptitude, и теперь он сообщает мне, что все 1425 установленных пакетов должны быть удалены, поскольку они больше не используются. Все, о чем....
unix 5 Апр 2021 в 02:30
Я получаю сообщение об ошибке обработки пакета, когда я apt upgrade: Я пробовал общие решения, упомянутые в Интернете. Но он застрял в петле. ❯ sudo apt upgrade Reading package lists... Done Building dependency tree Reading state information... Done You might want to run 'apt-get -f install'....
unix 3 Фев 2021 в 12:36
Мне нужно получить список установленных вручную пакетов из резервных копий, чтобы "complete" последовательность apt-get upgrade && apt-get dist-upgrade. Следующая команда выводит список пакетов, установленных вручную из резервных копий: $ # based on: https://serverfault.com/a/109680/261445 $ aptitu....
unix 26 Янв 2021 в 01:31
Когда я делаю apt-show-versions samba на своей машине с Debian, я получаю что-то вроде samba:amd64/buster 2:4.9.5+dfsg-5+deb10u1 uptodate Сравнивая это с версиями самбы, которые вы можете найти в официальных источниках, я бы предположил, что установлена ​​самба 4.9.5. Но какие другие цифры и буквы....
unix 1 Дек 2020 в 13:09
Примечание. я обнаружил this QnA, адресующий apt-cache show по сравнению с apt-cache showpkg, но не смог найти ни одного QnA, обращающегося к разнице между всеми тремя вариантами, т.е. policy, show , & showpkg. Например, для Google Chrome в моем Ubuntu 18.04 LTS вывод apt-cache policy google-chro....
unix 19 Сен 2020 в 05:25
Поняв, что apt каким-то образом является расширением apt-get или объединением нескольких команд apt-…, я все еще не понимаю, как разные команды (особенно apt, apt-get, aptitude и подкоманды autoclean, autoremove, clean) выполняют свою работу, а какая из них удовлетворяет мои потребности (полное удал....
unix 18 Сен 2020 в 18:21
Пакет libudev1:i386 установлен в моей системе. $ dpkg -l | grep libudev1:i386 ii libudev1:i386 245.4-4ubuntu3.2 i386 libudev shared library Он не будет удален автоматически. $ sudo apt autoremove Reading package lists... Done Building dependency tree Reading state information... Done 0 ....
unix 23 Авг 2020 в 13:42
Я установил Cutegram Когда я запускаю его, я получаю ./cutegram: error whiel loading shared libraries: libgstreamer-0.10.so.0: cannot open shared object file: No such file or directory Я использую Debian 9. Я попробовал apt-get install libgstreamer-0.10, но не смог найти ни одного пакета. Также я ....
На момент написания этой статьи последняя версия Nagios — 3.3.1. Я использую Ubuntu 10.04 и использовал apt-get update; apt-get install nagios3, чтобы получить версию 3.2.0. Я знаю, что существует множество инструкций по ручной компиляции и установке последней версии Nagios, но есть ли способ испол....
unix 11 Июн 2020 в 15:04
Я хочу иметь команду в Debian (Sid), которая запускает TUI aptitude с шаблоном ограничений, определенным в самой команде в качестве аргумента. В противном случае мне придется каждый раз писать шаблон, нажимая l в TUI Aptitude, а затем ища онлайн-руководство, чтобы узнать, как писать эти шаблоны. Осн....
unix 14 Мар 2020 в 22:45
Допустим, есть пакет Debian с именем Foo, версия которого 1.1.1 зависит от пакета с именем Bar. Представьте, что существует более новая версия Foo==1.1.2, которая больше не зависит от Bar. После обновления пакет Bar не удаляется автоматически. Кроме того, apt autoremove не удаляет этот пакет. Как а....
Я пытался обновить Debian 9 до 10, но когда я попытался запустить sudo apt-get update, sudo apt-get upgrade и sudo apt-get full-upgrade, все они получили это сообщение об ошибке: optiplex@optiplex:~$ sudo apt-get upgrade Reading package lists... Done Building dependency tree Reading state....
unix 6 Янв 2020 в 03:28
Я пытался понять, как работает подробный флаг, и потерпел неудачу. Как справочная страница, так и справочное руководство по aptitude. Единственное вспомогательное использование приведено на странице https://www. .debian.org/doc/manuals/aptitude/ch02s05s05.en.html#configCmdLine-Verbose: Вариант: Ap....
unix 9 Дек 2019 в 17:42
Это связано с вопросом, который я задал о 3 много лет назад. С тех пор, видимо, все немного изменилось. Одним из очевидных является то, что сам aptitude изменился с любой версии на aptitude 0.8.12 или, если быть более точным - $ aptitude --version aptitude 0.8.12 Compiler: g++ 9.2.1 20190821 Comp....
unix 7 Дек 2019 в 12:30
Я пытаюсь протестировать установку PHP 7.0 на бродяге с помощью Ansible и получаю эту ошибку: TASK [php-cli : Install php7.0-cli package] ***************************************************************************** Thursday 21 November 2019 20:08:15 +0000 (0:00:00.034) 0:00:02.156 ***** fata....
unix 22 Ноя 2019 в 00:36